
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/Kconfig                 |    4 ++--
 25-akpm/drivers/video/savage/savagefb-i2c.c   |    5 +++++
 25-akpm/drivers/video/savage/savagefb_accel.c |    5 +++++
 3 files changed, 12 insertions(+), 2 deletions(-)

diff -puN drivers/video/Kconfig~savagefb-export-fixes drivers/video/Kconfig
--- 25/drivers/video/Kconfig~savagefb-export-fixes	2004-10-26 18:47:25.939714568 -0700
+++ 25-akpm/drivers/video/Kconfig	2004-10-26 18:47:25.954712288 -0700
@@ -811,7 +811,7 @@ config FB_SAVAGE
 	  will be called savagefb.
 
 config FB_SAVAGE_I2C
-       bool "Enable DDC2 Support"
+       tristate "Enable DDC2 Support"
        depends on FB_SAVAGE
        help
 	  This enables I2C support for S3 Savage Chipsets.  This is used
@@ -823,7 +823,7 @@ config FB_SAVAGE_I2C
 	  here.
 
 config FB_SAVAGE_ACCEL
-       bool "Enable Console Acceleration"
+       tristate "Enable Console Acceleration"
        depends on FB_SAVAGE
        default n
        help
diff -puN drivers/video/savage/savagefb_accel.c~savagefb-export-fixes drivers/video/savage/savagefb_accel.c
--- 25/drivers/video/savage/savagefb_accel.c~savagefb-export-fixes	2004-10-26 18:47:25.941714264 -0700
+++ 25-akpm/drivers/video/savage/savagefb_accel.c	2004-10-26 18:47:25.955712136 -0700
@@ -26,6 +26,7 @@ int savagefb_sync(struct fb_info *info)
 	par->SavageWaitIdle(par);
 	return 0;
 }
+EXPORT_SYMBOL(savagefb_sync);
 
 void savagefb_copyarea(struct fb_info *info, const struct fb_copyarea *region)
 {
@@ -60,6 +61,7 @@ void savagefb_copyarea(struct fb_info *i
 	BCI_SEND(BCI_X_Y(dx, dy));
 	BCI_SEND(BCI_W_H(region->width, region->height));
 }
+EXPORT_SYMBOL(savagefb_copyarea);
 
 void savagefb_fillrect(struct fb_info *info, const struct fb_fillrect *rect)
 {
@@ -87,6 +89,7 @@ void savagefb_fillrect(struct fb_info *i
 	BCI_SEND( BCI_X_Y(rect->dx, rect->dy) );
 	BCI_SEND( BCI_W_H(rect->width, rect->height) );
 }
+EXPORT_SYMBOL(savagefb_fillrect);
 
 void savagefb_imageblit(struct fb_info *info, const struct fb_image *image)
 {
@@ -132,4 +135,6 @@ void savagefb_imageblit(struct fb_info *
 	for (i = 0; i < size; i++)
 		BCI_SEND(src[i]);
 }
+EXPORT_SYMBOL(savagefb_imageblit);
 
+MODULE_LICENSE("GPL");
diff -puN drivers/video/savage/savagefb-i2c.c~savagefb-export-fixes drivers/video/savage/savagefb-i2c.c
--- 25/drivers/video/savage/savagefb-i2c.c~savagefb-export-fixes	2004-10-26 18:47:25.949713048 -0700
+++ 25-akpm/drivers/video/savage/savagefb-i2c.c	2004-10-26 18:47:25.954712288 -0700
@@ -197,6 +197,7 @@ void savagefb_create_i2c_busses(struct f
 
 	savage_setup_i2c_bus(&par->chan, "SAVAGE DDC2");
 }
+EXPORT_SYMBOL(savagefb_create_i2c_busses);
 
 void savagefb_delete_i2c_busses(struct fb_info *info)
 {
@@ -206,6 +207,7 @@ void savagefb_delete_i2c_busses(struct f
 		i2c_bit_del_bus(&par->chan.adapter);
 	par->chan.par = NULL;
 }
+EXPORT_SYMBOL(savagefb_delete_i2c_busses);
 
 static u8 *savage_do_probe_i2c_edid(struct savagefb_i2c_chan *chan)
 {
@@ -255,3 +257,6 @@ int savagefb_probe_i2c_connector(struct 
 
 	return 0;
 }
+EXPORT_SYMBOL(savagefb_probe_i2c_connector);
+
+MODULE_LICENSE("GPL");
_
